Package org.jbpm.casemgmt.impl.command

## Class AddDynamicProcessToStageCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<Long>
  - - org.jbpm.casemgmt.impl.command.AddDynamicProcessToStageCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Long>`, `org.kie.api.command.ExecutableCommand<Long>`

      public class AddDynamicProcessToStageCommand
      extends CaseCommand<Long>

  Adds subprocess (identified by processId) to selected ad hoc process instance with given parameters
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddDynamicProcessToStageCommand​(org.kie.internal.identity.IdentityProvider identityProvider, String caseId, Long processInstanceId, String stage, String processId, Map<String,​Object> parameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `execute​(org.kie.api.runtime.Context context)` |

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddDynamicProcessToStageCommand

          public AddDynamicProcessToStageCommand​(org.kie.internal.identity.IdentityProvider identityProvider,
                                                 String caseId,
                                                 Long processInstanceId,
                                                 String stage,
                                                 String processId,
                                                 Map<String,​Object> parameters)

  - ### Method Detail

    - #### execute

          public Long execute​(org.kie.api.runtime.Context context)